/* @(#)niread.c	1.8 00/12/03 Copyright 1986 J. Schilling */
/*
 *	Copyright (c) 1986 J. Schilling
 */
/*@@C@@*/

#include "io.h"
#include <errno.h>

EXPORT int 
_niread(f, buf, count)
	int	f;
	void	*buf;
	int	count;
{
	int ret;
 
	while((ret = read(f, buf, count)) < 0 && geterrno() == EINTR)
		;
	return(ret);
}
